Chris McDonough wrote:
 Is there an equivalent for "tests_require" in

 The reason I ask is this... currently the zope.18n distribution has
 an install_requires that looks something like this:

 install_requires=[ 'setuptools', 'pytz', 'zope.i18nmessageid',
 'zope.component [zcml]', 'zope.configuration', ]

 That's actually a no-good pack of lies, though. ;-)  I'd like to
 change to something like this:

 test_suite = "__main__.alltests", # to support " test"
 tests_require=[ 'zope.testing', 'pytz', 'zope.component [zcml]',
 'zope.configuration', ], install_requires=[ 'setuptools', 'pytz',
 'zope.i18nmessageid', 'zope.component', # *we* do not require
 zope.configuration at all. Our tests # do (for silly reasons) and the
 framework which uses our zcml # does. ],

 But I want buildout tests to continue to work.

-1  for using different methods for running tests.

Testing packages should be done in same way by all developers.
If one person run tests in one way and another one in another way is not good.

IMO, we should have a policy to use Buildout for development of Zope packages.

Baiju M

Zope-Dev maillist  -
**  No cross posts or HTML encoding!  **
(Related lists - )

Reply via email to